Package: io.vertx.groovy.ext.web.handler

## [Groovy] Class LoggerHandler

- io.vertx.groovy.ext.web.handler.LoggerHandler

- All Implemented Interfaces and Traits:
    io.vertx.core.Handler

      @groovy.transform.CompileStatic
      class LoggerHandler
      extends java.lang.Object

  A handler which logs request information to the Vert.x logger.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `LoggerHandler (java.lang.Object delegate)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `static LoggerHandler` | `create()` Create a handler with default format
    `static LoggerHandler` | `create(io.vertx.ext.web.handler.LoggerFormat format)` Create a handler with he specified format
    `static LoggerHandler` | `create(boolean immediate, io.vertx.ext.web.handler.LoggerFormat format)` Create a handler with he specified format
    `java.lang.Object` | `getDelegate()`
    `void` | `handle(RoutingContext arg0)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### LoggerHandler(java.lang.Object delegate)

  - ### Method Detail

    - #### static LoggerHandler create()

      Create a handler with default format

      Returns:
        the handler

    - #### static LoggerHandler create(io.vertx.ext.web.handler.LoggerFormat format)

      Create a handler with he specified format

      Returns:
        the handler
      Parameters:
        `format` - the format

    - #### static LoggerHandler create(boolean immediate, io.vertx.ext.web.handler.LoggerFormat format)

      Create a handler with he specified format

      Returns:
        the handler
      Parameters:
        `immediate` - true if logging should occur as soon as request arrives
        `format` - the format

    - #### java.lang.Object getDelegate()

    - #### void handle(RoutingContext arg0)